@echo off

rem Patch_1-G88R5
rem Updated 9/17/04 to write the patchinfo file to efi/server/persist if the patchinfo 
rem file exists there, and to efi/server if the patchinfo file exists there.
rem Updated 9/13/04 to write the patchinfo file to efi/server/persist if it exists, or else to efi/server.
rem Updated 10/01/04 to do a reboot of the system (prompts user first) instead of starting the fiery service. Starting the fiery 
rem service created a bluescreen.


rem Patch includes only MS04-12 (828741).
rem This patch is for F1.2.3+ systems.

rem *** Set fully qualified pathname for system32***
set Systempath=d:\Windows\system32

rem *** Stop Fiery service ***
net stop efi_fiery

rem *** Check for QFE Q828741 ***
%Systempath%\reg query "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Hotfix\828741"
if %ERRORLEVEL%==0 goto next1


rem ***Make sure es.dll gets renamed before doing anything else (loop)***
del %Systempath%\es.old
:esrename
ren %Systempath%\es.dll es.old
sleep 3
if exist %Systempath%\es.old goto continue
if not exist %Systempath%\es.old goto esrename

:continue
rem /**********************************************/
rem /*  delete .old files if any and rename files */
rem /**********************************************/
del %Systempath%\catsrv.old
del %Systempath%\catsrvut.old
del %Systempath%\clbcatex.old
del %Systempath%\clbcatq.old
del %Systempath%\colbact.old
del %Systempath%\comsvcs.old
del %Systempath%\comuid.old
del %Systempath%\msdtcprx.old
del %Systempath%\msdtctm.old
del %Systempath%\msdtcuiu.old
del %Systempath%\mtxclu.old
del %Systempath%\mtxoci.old
del %Systempath%\ole32.old
del %Systempath%\rpcrt4.old
del %Systempath%\rpcss.old
del %Systempath%\txflog.old

ren %Systempath%\catsrv.dll catsrv.old
ren %Systempath%\catsrvut.dll catsrvut.old
ren %Systempath%\clbcatex.dll clbcatex.old
ren %Systempath%\clbcatq.dll clbcatq.old
ren %Systempath%\colbact.dll colbact.old
ren %Systempath%\comsvcs.dll comsvcs.old
ren %Systempath%\comuid.dll comuid.old

ren %Systempath%\msdtcprx.dll msdtcprx.old
ren %Systempath%\msdtctm.dll msdtctm.old
ren %Systempath%\msdtcuiu.dll msdtcuiu.old
ren %Systempath%\mtxclu.dll mtxclu.old
ren %Systempath%\mtxoci.dll mtxoci.old
ren %Systempath%\ole32.dll ole32.old
ren %Systempath%\rpcrt4.dll rpcrt4.old
ren %Systempath%\rpcss.dll rpcss.old
ren %Systempath%\txflog.dll txflog.old


del %Systempath%\com\comadmin.old
del %Systempath%\com\comrepl.old
del %Systempath%\com\migregdb.old

ren %Systempath%\com\comadmin.dll comadmin.old
ren %Systempath%\com\comrepl.exe comrepl.old
ren %Systempath%\com\migregdb.exe migregdb.old


rem /*******************************/
rem /*  copy  files                */
rem /*******************************/

copy  catsrv.dll %Systempath%
copy  catsrvut.dll %Systempath%
copy  clbcatex.dll %Systempath%
copy  clbcatq.dll %Systempath%
copy  colbact.dll %Systempath%
copy  comsvcs.dll %Systempath%
copy  comuid.dll %Systempath%
copy  es.dll %Systempath%
copy  msdtcprx.dll %Systempath%
copy  msdtctm.dll %Systempath%
copy  msdtcuiu.dll %Systempath%
copy  mtxclu.dll %Systempath%
copy  mtxoci.dll %Systempath%
copy  ole32.dll %Systempath%
copy  rpcrt4.dll %Systempath%
copy  rpcss.dll %Systempath%
copy  txflog.dll %Systempath%
copy  comadmin.dll %Systempath%\com
copy  comrepl.exe %Systempath%\com
copy  migregdb.exe %Systempath%\com

regedit /s Q828741.reg

:next1

rem *** Cleanup ***
del catsrv.dll
del catsrvut.dll
del clbcatex.dll
del clbcatq.dll
del colbact.dll
del comsvcs.dll
del comuid.dll
del es.dll
del msdtcprx.dll
del msdtctm.dll
del msdtcuiu.dll
del mtxclu.dll
del mtxoci.dll
del ole32.dll
del rpcrt4.dll
del rpcss.dll
del txflog.dll
del comadmin.dll
del comrepl.exe
del migregdb.exe
del Q828741.reg
del sleep.exe

rem update patchinfo file with the Siebel ID of this patch 

rem Update the patchinfo file in both "e:\efi\server\persist" and "e:\efi\server\" if the patchinfo files exist there.

set patchinfodir1=e:\efi\server\persist
if exist %patchinfodir1%\patchinfo echo 1-G88R5 >> %patchinfodir1%\patchinfo

set patchinfodir2=e:\efi\server
if exist %patchinfodir2%\patchinfo echo 1-G88R5 >> %patchinfodir2%\patchinfo

@echo To complete patch installation, system must reboot.
@echo OK to reboot system?
pause

rem reboot system after user presses a key.
rem *** reboot system ***
shutdown.exe -r

:end






